[Buildroot] [PATCH 1/1] gnuradio: needs host-python2

Yegor Yefremov yegorslists at googlemail.com
Thu Jun 28 10:02:49 UTC 2018


On Thu, Jun 28, 2018 at 11:20 AM, Thomas Petazzoni
<thomas.petazzoni at bootlin.com> wrote:
> Hello,
>
> On Thu, 28 Jun 2018 11:15:36 +0200, Yegor Yefremov wrote:
>
>> > When python3 is enabled for the target, then the default host python
>> > version is python3. And due to this, all external host Python modules
>> > are installed for host python3, and not available for host python2.
>>
>> You're right. Then for now I see only one quick and dirty hack -
>> install host versions of six and mako when installing host-python by
>> default.
>
> We also need to take into account the requirements of:
>
>   http://patchwork.ozlabs.org/patch/906837/
>   http://patchwork.ozlabs.org/patch/906838/
>
> when designing a solution to solve this problem.

@Fabrice: could you try the latest next branch[1]? It has some Python
3 related fixes. Perhaps one doesn't need to enforce python 2 anymore?

[1] https://github.com/gnuradio/gnuradio/commits/next

Yegor



More information about the buildroot mailing list